Skip to navigation

Retrieve a delivery adjustment

View as Markdown

Describes how to retrieve detailed information about a delivery adjustment.

Note: The Delivery Adjustments feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. To manage and access this feature through the self-service interface, see Enable billing features by yourself in the Knowledge Center.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

adjustment-keystringRequired
The delivery adjustment ID or number to retrieve.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specify a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.

Response

OK
adjustmentIdstringOptionalformat: "UUID"
The system generated delivery adjustment ID.
adjustmentNumberstringOptional
The system generated delivery adjustment Number.
amountdoubleOptional
The amount of the delivery adjustment.
billingDatedateOptional

The billing date is same as the delivery date of the delivery adjustment, in yyyy-mm-dd format.

chargeNumberstringOptional
The charge number in the subscription for which the delivery adjustment is created.
creditMemoNumberstringOptional
The Credit Memo generated for the delivery adjustment.
debitMemoNumberstringOptional

The Debit Memo generated to write off the Credit Memo for the delivery adjustment.
Note: This field is only available when the delivery adjustment is in Cancelled status.

deferredRevenueAccountingCodestringOptional

The accounting code for the deferred revenue, such as Monthly Recurring Liability.

Note: For the credit memo generated by the delivery adjustment, if this field is not specified, the value inherits from the subscription rate plan charge.

deliveryDatedateOptional

The delivery adjustment date, in yyyy-mm-dd format.

deliveryDaystringOptionalformat: "string"
The delivery adjustment day of the week.
reasonstringOptional
The reason for the delivery adjustment.
recognizedRevenueAccountingCodestringOptional

The accounting code for the recognized revenue, such as Monthly Recurring Charges or Overage Charges.

Note: For the credit memo generated by the delivery adjustment, if this field is not specified, the value inherits from the subscription rate plan charge.

revenueRecognitionRuleNamestringOptional

The name of the revenue recognition rule governing the revenue schedule.

Note: For the credit memo generated by the delivery adjustment, if this field is not specified, the value inherits from the subscription rate plan charge.

statusstringOptional

The status of the delivery adjustment will be Billed or Cancelled.

subscriptionNumberstringOptional
The subscription number for which the delivery adjustment is created.

Errors

4XX
Client Request Error
500
Internal Server Error